Package org.apache.sling.scripting.sightly.impl.filter

## Class FormatFilter

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.filter.AbstractFilter
  - - org.apache.sling.scripting.sightly.impl.filter.FormatFilter

All Implemented Interfaces:
  `Comparable<Filter>`, `Filter`

    public class FormatFilter
    extends AbstractFilter

Implementation for the format filter & runtime support.

### Field Summary

Fields
`static String` `FORMAT_OPTION`
`static String` `TIMEZONE_OPTION`
`static String` `TYPE_OPTION`

### Fields inherited from class org.apache.sling.scripting.sightly.impl.filter.AbstractFilter

`NON_PARAMETRIZABLE_CONTEXTS, priority`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected Expression` `apply​(Expression expression, Map<String,​ExpressionNode> options)`
`static FormatFilter` `getInstance()`

### Methods inherited from class org.apache.sling.scripting.sightly.impl.filter.AbstractFilter

`apply, compareTo, equals, getApplicableContexts, getOptions, getRequiredOptions, hashCode, priority`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FORMAT_OPTION

    public static final String FORMAT_OPTION

See Also:
  Constant Field Values

#### TYPE_OPTION

    public static final String TYPE_OPTION

See Also:
  Constant Field Values

#### TIMEZONE_OPTION

    public static final String TIMEZONE_OPTION

See Also:
  Constant Field Values

### Method Detail

#### getInstance

    public static FormatFilter getInstance()

#### apply

    protected Expression apply​(Expression expression,
                               Map<String,​ExpressionNode> options)

Specified by:
  `apply` in class `AbstractFilter`